sqlitexx: sqlite3xx::prepared_stmt Class Reference

sqlitexx 0.0.1

Public Member Functions
sqlite3xx::prepared_stmt Class Reference

`#include <prepared_statement.hpp>`

## Public Member Functions
| prepared_stmt (sqlite3 *db, string __sql)
| ~prepared_stmt ()
string | sql ()
void | addparam (const string &sqltype, prepare::param_treatment &treatment)
void | reset ()
void | setparam (const int pos, const int value)
void | setparam (const int pos, const unsigned int value)
void | setparam (const int pos, const char *value)
void | setparam (const int pos, const double value)
void | setparam (const int pos, const long value)
void | setparam (const int pos, const uintmax_t value)
sqlite3_stmt * | getStmt () const

## Constructor & Destructor Documentation

## ◆ prepared_stmt()

sqlite3xx::prepared_stmt::prepared_stmt | ( | sqlite3 * | db,
|  | string | __sql
| ) |  |

## ◆ ~prepared_stmt()

sqlite3xx::prepared_stmt::~prepared_stmt | ( |  | ) |

## Member Function Documentation

## ◆ addparam()

void sqlite3xx::prepared_stmt::addparam | ( | const string & | sqltype,
|  | prepare::param_treatment & | treatment
| ) |  |

## ◆ getStmt()

sqlite3_stmt * sqlite3xx::prepared_stmt::getStmt | ( |  | ) | const

## ◆ reset()

void sqlite3xx::prepared_stmt::reset | ( |  | ) |

## ◆ setparam() [1/6]

void sqlite3xx::prepared_stmt::setparam | ( | const int | pos,
|  | const char * | value
| ) |  |

## ◆ setparam() [2/6]

void sqlite3xx::prepared_stmt::setparam | ( | const int | pos,
|  | const double | value
| ) |  |

## ◆ setparam() [3/6]

void sqlite3xx::prepared_stmt::setparam | ( | const int | pos,
|  | const int | value
| ) |  |

## ◆ setparam() [4/6]

void sqlite3xx::prepared_stmt::setparam | ( | const int | pos,
|  | const long | value
| ) |  |

## ◆ setparam() [5/6]

void sqlite3xx::prepared_stmt::setparam | ( | const int | pos,
|  | const uintmax_t | value
| ) |  |

## ◆ setparam() [6/6]

void sqlite3xx::prepared_stmt::setparam | ( | const int | pos,
|  | const unsigned int | value
| ) |  |

## ◆ sql()

string sqlite3xx::prepared_stmt::sql | ( |  | ) |

The documentation for this class was generated from the following file:

- prepared_statement.hpp